Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 227328 - RFE - parallelise scripts that can be parallelised - w/ patch
Summary: RFE - parallelise scripts that can be parallelised - w/ patch
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: initscripts
Version: 6
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Bill Nottingham
QA Contact: Brock Organ
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-02-05 10:08 UTC by Nigel Horne
Modified: 2014-03-17 03:05 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-04-16 22:39:23 UTC


Attachments (Terms of Use)
Patch to parallelise scripts which can be parellilised (deleted)
2007-02-05 10:08 UTC, Nigel Horne
no flags Details | Diff

Description Nigel Horne 2007-02-05 10:08:30 UTC
Description of problem:
This patch enhances boot/shutdown by running some services in parallel, where
allowed.


Version-Release number of selected component (if applicable):
initscripts-8.45.7-1

How reproducible:
n/a - it's an enhancement

Steps to Reproduce:
1. n/a - it's an enhancement
2.
3.
  
Actual results:
n/a - it's an enhancement


Expected results:
n/a - it's an enhancement

Additional info:
Patch attached

Comment 1 Nigel Horne 2007-02-05 10:08:30 UTC
Created attachment 147346 [details]
Patch to parallelise scripts which can be parellilised

Comment 2 Bill Nottingham 2007-04-16 22:39:23 UTC
By not waiting for dependencies (implicit or explicit) this is likely to cause
failures. Unless I'm misreading the patch.

Comment 3 Nigel Horne 2007-04-17 09:28:48 UTC
You're misreading the patch. Note the word "can" in the subject.


Note You need to log in before you can comment on or make changes to this bug.